Bug 147920 - koffice depends on koffice-devel but doesn't require in RPM
Summary: koffice depends on koffice-devel but doesn't require in RPM
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: koffice   
(Show other bugs)
Version: 3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-02-12 21:32 UTC by Joe Cooper
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-14 09:43:21 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Joe Cooper 2005-02-12 21:32:04 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5) Gecko/20041111 Firefox/1.0

Description of problem:
Applications in the koffice suite require libraries that are only provided by koffice-devel.  For example:

[joe@localhost ~]$ kword
kword: error while loading shared libraries: libkofficecore.so.2: cannot open shared object file: No such file or directory
[joe@localhost ~]$ yum provides libkofficecore.so.2
...
koffice-devel.i386                       4:1.3.5-0.FC3.1        updates-releasedMatched from:
/usr/lib/libkofficecore.so.2

Installing koffice-devel allows the applications to run.


Version-Release number of selected component (if applicable):
koffice-1.3.5-0.FC3.1

How reproducible:
Always

Steps to Reproduce:
1. Install koffice without koffice-devel
2. Try to run a koffice application, like kword
  

Actual Results:  kword: error while loading shared libraries: libkofficecore.so.2: cannot open shared object file: No such file or directory

Expected Results:  No error, application starts.

Additional info:

Comment 1 Ngo Than 2005-02-14 09:43:21 UTC
The symlinks such libkofficecore.so.2 will be created after you install or
update the koffice package. It's not needed to install koffce-devel package!

It's strange that such links are missing on your system. To resolve this
problem, please do "/sbin/ldconfig -v" as root, all the missing symlinks will be
created.




Note You need to log in before you can comment on or make changes to this bug.